// PRIMARY COLORS
$primary-900 : #0D1B1E;
$primary-800 : #263235;
$primary-700 : #3E494C;
$primary-600 : #576163;
$primary-500 : #70787A;
$primary-400 : #888F91;
$primary-300 : #A1A6A8;
$primary-200 : #BABEBF;
$primary-100 : #D2D5D6;
$primary-50 : #EBECEC;

// BACKGROUND COLORS
$primary-white : #ffffff;
$grey : #FCFCFC;
$light-grey : #F5F5F5;
$dark-grey : #ECECEC;
$darker-grey : #E2E2E2;

// SECONDARY COLOR
$secondary-blue : #1D4889;

// PASTELS COLORS
$pastel-peach : #F9F7F7;
$pastel-violet : #F7F7FB;
$pastel-dark-violet : #6F6C8F;

// TYPE COLOR GREY
$type-color-grey : #F9F7F7;

// BUTTONS COLORS
$primaryDefault : #212121;
$primaryDisabled : #D9D9D9;
$primaryDisabledText : #646464;

// CSS CLASS GROUP
// PRIMARY COLORS AND BACKGROUND CLASS
.primary-900{
    color: $primary-900;
}
.primary-800{
    color: $primary-800;
}
.primary-700{
    color: $primary-700;
}
.primary-600{
    color: $primary-600;
}
.primary-500{
    color: $primary-500;
}
.primary-400{
    color: $primary-400;
}
.primary-300{
    color: $primary-300;
}
.primary-200{
    color: $primary-200;
}
.primary-100{
    color: $primary-100;
}
.primary-50{
    color: $primary-50;
}

.bg-primary-900{
    background-color: $primary-900;
}
.bg-primary-800{
    background-color: $primary-800;
}
.bg-primary-700{
    background-color: $primary-700;
}
.bg-primary-600{
    background-color: $primary-600;
}
.bg-primary-500{
    background-color: $primary-500;
}
.bg-primary-400{
    background-color: $primary-400;
}
.bg-primary-300{
    background-color: $primary-300;
}
.bg-primary-200{
    background-color: $primary-200;
}
.bg-primary-100{
    background-color: $primary-100;
}
.bg-primary-50{
    background-color: $primary-50;
}

// BACKGROUND COLORS AND BACKGROUND CLASS
.primary-white{
    color: $primary-white;
}
.grey{
    color: $grey;
}
.light-grey{
    color: $light-grey;
}
.dark-grey{
    color: $dark-grey;
}
.darker-grey{
    color: $darker-grey;
}

.bg-primary-white{
    background-color: $primary-white;
}
.bg-grey{
    background-color: $grey;
}
.bg-light-grey{
    background-color: $light-grey;
}
.bg-dark-grey{
    background-color: $dark-grey;
}
.bg-darker-grey{
    background-color: $darker-grey;
}

// SECONDARY COLOR AND BACKGROUND CLASS
.secondary-blue{
    color: $secondary-blue;
}
.bg-secondary-blue{
    background-color: $secondary-blue;
}

// PASTELS COLORS AND BACKGROUNG CLASS
.pastel-peach{
    color: $pastel-peach;
}
.pastel-violet{
    color: $pastel-violet;
}
.pastel-dark-violet{
    color: $pastel-dark-violet;
}

.bg-pastel-peach{
    background-color: $pastel-peach;
}
.bg-pastel-violet{
    background-color: $pastel-violet;
}
.bg-pastel-dark-violet{
    background-color: $pastel-dark-violet;
}

// TYPE COLOR GREY AND BACKGROUND CLASS
.type-color-grey {
    color: $type-color-grey;
}
.bg-type-color-grey {
    background-color: $type-color-grey;
}
